My News Reader App:

The whole project consist of single HTML file ie mynewsreader.html and JS files. You can see the working project by visiting http://www.quotesandstories.com/adv/task/mynewsreader.html.
App is made using Angular Js and Jquery.